### Function

# Clutter PaintContext new_for_framebuffer

#### Declaration [src]

    ClutterPaintContext*
    clutter_paint_context_new_for_framebuffer (
      CoglFramebuffer* framebuffer,
      const MtkRegion* redraw_clip,
      ClutterPaintFlag paint_flags
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  No description available.

  The data is owned by the caller of the function.

`redraw_clip`

  Type: `MtkRegion`

  No description available.

  The data is owned by the caller of the function.

`paint_flags`

  Type: `ClutterPaintFlag`

  No description available.

#### Return value

Type: `ClutterPaintContext`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.